Nyomtatási hiba-Hewlett-Packard HP LaserJet Professional M1132 MFP

Fórum: 

Üdvözletem Mindenkinek!

Most a változatosság kedvéért nem kernel témában fordulok hozzátok, hanem azért, mert a gépemhez USB-vel csatlakozó Hewlett-Packard HP LaserJet Professional M1132 MFP típusú nyomtatóm meg sem mukkan Mint 19 Xfce LTS 32 bit-et futtatva. Eddig ugyan nem használtam még Minttel (ha jól rémlik), de meglepő a jelenség, mert Ubuntu 14.04 LTS esetén nem volt vele gond (HPLIP-et használva).

Olvasgattam a témával kapcsolatban, és próbálkoztam is (többek között ezeket a videókat használtam: https://www.youtube.com/watch?v=5UH0-mnpGJI https://www.youtube.com/watch?v=En2DJAMpwmY), de ezidáig hasztalan minden, sem HPLIP-vel, sem CUPS-val nem működik, csak az XSane tud beolvasni képet, minden egyéb esetben ez a válasz: https://ibb.co/Xxk2GwP

Az észrevételeket, véleményeket örömmel fogadom.

Üdv, Norbi!

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

A kiindulási állapotban ez volt a helyzet:

norbi@norbi-M540R:~$ dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
ii  hplip          3.17.10+repa i386         HP Linux Printing and Imaging Sys

Terminált használtam, a HPLIP telepítésére (frissítésére), hátha ez a gond (támpontokat ez a hozzászólás szolgáltatott: https://linuxmint.hu/comment/2550#comment-2550):

1. körben: https://paste.ubuntu.com/p/7sNFJR5dmj/

A lényeg:

Done.
 Plug-in installation successful 

Done.
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation. 
hp-setup

2. körben: https://paste.ubuntu.com/p/XNJbpzSGmq/

A lényeg:

Done.
 Plug-in installation successful 

Done.
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation. 

Meglehetősen hasonló mindkét végeredmény.

A nyomtató megfelelő csatlakoztatása is tesztelve volt időközben, az OK:

norbi@norbi-M540R:~$ lsusb
Bus 002 Device 004: ID 03f0:042a Hewlett-Packard LaserJet M1132 MFP
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0402:5602 ALi Corp. M5602 Video Camera Controller
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Jelen pillanatban ennek a verziónak kellene jelen lenni e a gépen (a két fenti telepítési folyamat végén, lást, 1, és 2. kör):

Plug-in version: 3.19.6

De csodák csodája (további, fentebb nem részletezett próbálkozások után), most ez a helyzet:

norbi@norbi-M540R:~$ dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

Ez azért számomra érdekes (különösen úgy, hogy a HP Device Manager meg él és virul a gépen, csak épp nem nyomtat, viszont plug-in-t ő is követel: https://ibb.co/zZRHszW
https://ibb.co/HC8Ty9b), lehet, hogy Nektek nem.

 

Értékelés: 

0
Még nincs értékelve

CUPS

Jelenlegi állapota:

norbi@norbi-M540R:~$ dpkg -l cups
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
ii  cups           2.2.7-1ubunt i386         Common UNIX Printing System(tm) -

Beállítás folyamata képekben (támpontot ez a videó szolgáltatott: https://www.youtube.com/watch?v=En2DJAMpwmY):

https://ibb.co/pbMnvkG

https://ibb.co/47XBCs3

https://ibb.co/fn16Fn2

https://ibb.co/qLGRmYt

https://ibb.co/rfNzWbk

https://ibb.co/frpcLyF

https://ibb.co/vhPv9JK

Az 5. lépésnél lehet, hogy nem az első, hanem a 2. vagy 3. (frissebb verziószámú) opciót kellett volna választanom?

Nyomtatni így sem nyomtat, csak a szokásos hibaüzenet jelenik meg.

 

Értékelés: 

0
Még nincs értékelve
tresor képe

CUPS

#3 Nem ártana sudo a dpkg-hez.

Értékelés: 

0
Még nincs értékelve

CUPS

#4 Így igaz, bár sokat nem változtat az eredményen, legalábbis nálam (remélem más hibát nem követtem el):

norbi@norbi-M540R:~$ sudo dpkg -l cups
[sudo] norbi jelszava:              
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
ii  cups           2.2.7-1ubunt i386         Common UNIX Printing System(tm) -
norbi@norbi-M540R:~$ sudo dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#1 A hibaüzenet:

Done.
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins. Please run 'hp-plugin' as normal user to install plug-ins. Visit  http://hplipopensource.com  for more infomation.

Futtattad normál felhasználóként ($) a javasolt parancsot?

hp-plugin

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#6

Elviekben igen: https://linuxmint.hu/comment/30541#comment-30541 (bár így utólag van némi eltérés a korábbi és a mostani között, de az eredményen sokat nem változtat)

De megcsináltam még egyszer:

https://ibb.co/7z5M0kc
https://ibb.co/1rRtxdW
https://ibb.co/5Mjqmjk
https://ibb.co/1MQV8XQ
https://ibb.co/sQg8YcR
https://ibb.co/NSMhHjp
https://ibb.co/qx8HZcS

Ez látható Terminálban a folyamat során:

norbi@norbi-M540R:~$ hp-plugin

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from:
Receiving digital keys: /usr/bin/gpg --homedir /home/norbi/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x4ABA2F66DBD5A95894910E0673D770CDA59047B9
Creating directory plugin_tmp
Verifying archive integrity... All good.
Uncompressing HPLIP 3.19.6 Plugin Self Extracting Archive..............................................................

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Installer ver. 3.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.19.6
Installed HPLIP version: 3.19.6
Number of files to install: 64

Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.

Done.
norbi@norbi-M540R:~$

Az első ablakban a recommended opció helyett (eddig erre hagyatkoztam) esetleg lehetne az advanced változattal próbálkozni?

error: Python gobject/dbus may be not installed problémára ez nem lehet egy lehetséges megoldás kiindulási pontja (az Ubuntu/Debian módszert használva): https://pygobject.readthedocs.io/en/latest/getting_started.html

További érdekesség:

Plug-in version: 3.19.6
Installed HPLIP version: 3.19.6
Number of files to install: 64

Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.

Done.
norbi@norbi-M540R:~$ dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

norbi@norbi-M540R:~$ sudo dpkg -l hplip
[sudo] norbi jelszava:              
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

norbi@norbi-M540R:~$

Sajnos ez nem új jelenség (https://linuxmint.hu/comment/30540#comment-30540 https://linuxmint.hu/comment/30548#comment-30548).

Értékelés: 

0
Még nincs értékelve

HPLIP teszet live pendrive-ról bootolva

Elfelejtettem megemlíteni, de korábban próbálkoztam live módban is nyomtatni, csak hogy kizárjam a korábbi gányolásaim hatásait és, hogy meg nézzem mire képes érintetlen állapotban Mint. Remekül érzékeli az új nyomtatót, automatikusan be is állít mindent, ahogy kell, de a nyomtatási parancsot követően minden ugyanaz, így ez a hiba biztos, hogy nem az én saram (ahogy telik az idő és egyre többet kutakodom, egyre több helyen találkozom azzal, hogy van szívóka-szopóka a nyomtatással gazdagon másnál is).

Nincs valamilyen egyéb alternatíva a HPLIP és a CUPS kiváltására?

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#7

"error: Python gobject/dbus may be not installed problémára ez nem lehet egy lehetséges megoldás kiindulási pontja (az Ubuntu/Debian módszert használva): https://pygobject.readthedocs.io/en/latest/getting_started.html"

A fenti leírás mégsem tűnik jónak, viszont találtam egy másik hasznosnak tűnő oldalt, amit jobban szemügyre veszek.

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#9

Íme a fent említett hasznos oldal: https://bugs.launchpad.net/hplip/+bug/1813768

És az egyik hozzászólásban szereplő még hasznosabb: https://forums.linuxmint.com/viewtopic.php?f=51&t=286810

Itt azt javasolják, hogy a nyomtatóhoz szükséges minimál verziót válasszam, amely esetemben a 3.10.4-es: https://developers.hp.com/hp-linux-imaging-and-printing/models/laserjet/...

Ezt ugyan nem találtam meg, viszont a 3.10.5-öst igen (és már le is töltöttem): https://ibb.co/K6RsdDB

A telepítési folyamat megkezdése előtt azért meghallgatnám a véleményeket itt is.

Esetleg a legfrissebb HPLIP esetén (amivel eddig is vergődtem) nem lehet megoldás az Advanced Option alkalmazása itt: https://developers.hp.com/hp-linux-imaging-and-printing/gethplip

Jelenlegi Python elemek (az Advanced Option-nál emlegetett verziószámok alatt vannak):

https://ibb.co/qn2khz0
https://ibb.co/SxDGSc0

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#10

Az esetleg megoldást jelenthet, ha a HPLIP 3.10....-as verzió(k) helyett (melyek azért már elég korosak) a 3.14....-es (elvileg az Ubuntu 14.04-hez passzol: https://launchpad.net/ubuntu/trusty/+package/hplip) változatotok közül valamelyikkel tennék egy próbát (mondjuk ezzel: https://ibb.co/xqN24XL), csak azért mert Ubuntu 14.04 LTS alatt nem volt gondom a nyomtatással.

Egyébként az normális, hogy az HPLIP mappa a letöltések mappán belül jelenik meg (ide töltöttem le anno a megfelelő hplip run file-t)? Van egy olyan érzésem, hogy ennek nem itt kellene lennie: https://ibb.co/WpBN3gq

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#7

Ez pedig még érdekesebbé teszi számomra a jelenséget:

Installed HPLIP version: 3.19.6

norbi@norbi-M540R:~$ sudo dpkg -l hplip
[sudo] norbi jelszava:              
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

A Synaptic meg ezt mutatja:

https://ibb.co/crfnNFS

Tehát egy időben van 3.19.6-os változat, a kiadott parancs szerint nincs semmilyen, a Synaptic meg 3.17.10-eseket talál. Enyhe ellentmondásokat vélek felfedezni, lehet, hogy ez is szerepet játszik a jelenlegi nyomtatási gondokban.

Értékelés: 

0
Még nincs értékelve
tresor képe

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#12 Nem az a baj, hogy 3.19-es van telepítve, viszont a hplip-data meg 3.17-es? Mi történik, ha előbb felrakod Synapticból a 3.17-es hplip-et. Előtte a 3.19-est töröld.

Nézd meg mi történik a 3.17-essel, majd tedd fel a 3.19-est.

Legelőször purgálnék mindent ami hplip, cups. Majd előről kezdeném Synapticból. Hplip, cups és nyomtató teszt.

Értékelés: 

0
Még nincs értékelve

HPLIP telepítése (frissítése, újból, biztos, ami biztos)

#13

Sajnos semmi értelme, ugyanis a kiindulási alap (https://linuxmint.hu/comment/30540#comment-30540) is a:

||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
ii  hplip          3.17.10+repa i386         HP Linux Printing and Imaging Sys

volt, valamint a totál "szűz" pendrive-on (https://linuxmint.hu/comment/30571#comment-30571) is ez szerepel és egyik sem működik, ugyanazt a hibát produkálja (és a magasabb verziószámú is).

Én is arra gondoltam, hogy totál legyalulok mindent (a prungolásra még alszom egyet, mert produkált érdekességeket nálam korábban: https://linuxmint.hu/comment/29262#comment-29262, már nem emlékszem, hogy melyik parancs pucolt le mindent úgy, ahogy kellett, de majd holnap megkeresem), aztán visszafelé próbálkozom, esetleg a 3.16...-ossal, aztán a korábban említettek jönnek: https://linuxmint.hu/comment/30575#comment-30575

Még egy érdekesség (a jelen állapotról készült):

norbi@norbi-M540R:~$ sudo dpkg --list | grep hplip
[sudo] norbi jelszava:              
ii  hplip-data                                 3.17.10+repack0-5                               all          HP Linux Printing and Imaging - data files
norbi@norbi-M540R:~$ dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név            Verzió       Architektúra Leírás
+++-==============-============-============-=================================
un  hplip          <nincs>      <nincs>      (nincs leírás)

 

 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP 3.19.6 | M1132

Pedig támogatott: https://developers.hp.com/hp-linux-imaging-and-printing/release_notes
... például a 3.19.6-es driver támogatja.

A kimenet kell:

hp-check

Másféle hibakeresés:

hp-setup -g &> ~/hp-setup.log

Olvasd vissza a naplót (ennek tartalma kell ide)

cat ~/hp-setup.log

Ezekből összeáll, mi hiányzik.
Példa: https://askubuntu.com/questions/1151526/cannot-install-hp-printer-plugin...

Plug In:
https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

Bár elvileg a 3.10.4-et írják:
https://developers.hp.com/hp-linux-imaging-and-printing/supported_device...
https://developers.hp.com/hp-linux-imaging-and-printing/binary_plugin.html

-----

https://www.youtube.com/watch?v=wIzMzIvETTk

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#15

3.19.6-ban bizakodtam én is, de eddig hiába. A belinkelt oldalon ugyan nem találtam meg a felsorolásban a nyomtatómat a 3.19.6-osnál (nem is meglepő, mert itt csak az újonnan támogatottak vannak felsorolva, azok, amelyeknek ez a verzió a minimál verziója. Az enyémhez a lista szerint a 3.10.5-ös passzol ilyen /https://ibb.co/FzDbSHg/, de ezt már tudtam /https://ibb.co/sK8xBMD/, sőt itt jelzik is hogy plug-in igényei vannak, és ezek telepítése a probléma forrása, ahogy látom, ha jól látom), bár a minimális verzióhoz képest magasabb verziószám azt sejtetné, hogy jó lesz (találtam rá példákat korábban /meg is osztottam itt is őket fentebb/, ahol ezt erősen cáfolták a tapasztalatok), de ilyen alapon a "gyári" 3.17.10-nek is hasítania kellene.

https://developers.hp.com/hp-linux-imaging-and-printing/binary_plugin.html oldalon belül ez vonatkozik a nyomtatómra: https://ibb.co/DYshfkW, az itt leírtak a HPLIP Binary Plug-In-hez kapcsolódnak, mellyel gondjaim akadtak (mindegyik verziónál igényt tartott rájuk a telepítés során), van telepítési útmutató is, de ezzel már többször próbálkoztam sikertelenül (ahogy korábban jeleztem).

A hp-check parancsra ez a válasz: https://paste.ubuntu.com/p/bw6QQZ4JDP/ Nekem minden OK-nak tűnik.

A hp-setup -g &> ~/hp-setup.log parancs kiadása után a HP Device Manager jelenik meg, amivel már volt korábban sikertelen köröm, de most megint tettem egy próbát:
https://ibb.co/2ZjXGVD
https://ibb.co/cyq0Jqf
https://ibb.co/BwNP0Ns
A hibaüzenet OK-zása után nem tudok tovább Next-elni, mert újra megjelenik a hibaüzenet és kezdődik a mókuskerék.

A cat ~/hp-setup.log parancs kimenete ez (remélem minden látszik mert a terminálban csak ez volt látható a parancs kiadása után): https://paste.ubuntu.com/p/HNDGDWZxWM/

Itt ezek a sorok, amik gyanúsak számomra (a Bus-os rész sejtem, hogy a korábban kiadott lsusb parancshoz köthető: https://linuxmint.hu/comment/30540#comment-30540):

hp-setup[6847]: debug: hp-plugin -u --required --reason 65
Segmentation fault
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation.

hp-setup[6847]: debug: hp-plugin -u --required --reason 65
Segmentation fault
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation.

hp-setup[6847]: debug: hp-plugin -u --required --reason 65
Segmentation fault
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation.
Searching... (bus=usb, search=(None), desc=0)
hp-setup[6847]: debug: Bus 002 Device 004: ID 03f0:042a Hewlett-Packard LaserJet M1132 MFP
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0402:5602 ALi Corp. M5602 Video Camera Controller
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

hp-setup[6847]: debug: hp-plugin -u --required --reason 65
Segmentation fault
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation.

Tudom, hogy ez a hiba, mert már korábban is jelezte, csak épp megoldani nem sikerült.

Lefuttattam a belinkelt oldalon (https://askubuntu.com/questions/1151526/cannot-install-hp-printer-plugin...) szereplő egyik hozzászólásban megemlített cat hp-setup.log | grep "file is not present" parancsot, hogy leszűkítsem a cat ~/hp-setup.log eredményét a hibásnak vélt tételekre, ennek a kimenete ez: https://paste.ubuntu.com/p/8MrGgD9HvP/

Minden sor vagy a
hp-setup[6847]: debug: Either /usr/lib64/x86_64-........ file is not present or symbolic link is missing
vagy a
hp-setup[6847]: debug: Either /usr/lib/x86_64-....... file is not present or symbolic link is missing
tartalommal bír, viszont az x86_64-... miatt 64 bites rendszerelemre gyanakszom, viszont az enyém 32 bites, így a hiányuk nekem nem tűnik nagy gondnak, sőt a témában járatlanként még simán azt is kijelenteném, hogy jól is van ez így.

A

"Plug In:
https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/"

sorodat esetleg itt tudnám használni (javíts ki, ha tévedek), manuális telepítgetés során, a gépre letöltött fájl telepítésével:

https://linuxmint.hu/comment/30573#comment-30573
Esetleg a legfrissebb HPLIP esetén (amivel eddig is vergődtem) nem lehet megoldás az Advanced Option alkalmazása itt: https://developers.hp.com/hp-linux-imaging-and-printing/gethplip

"Bár elvileg a 3.10.4-et írják:
https://developers.hp.com/hp-linux-imaging-and-printing/supported_device...
https://developers.hp.com/hp-linux-imaging-and-printing/binary_plugin.html"

Erre már én is rábukkantam, innen is jött többek között a 3.10.5-ös telepítésének az ötlete (https://linuxmint.hu/comment/30573#comment-30573 esetleg a 3.14...: https://linuxmint.hu/comment/30575#comment-30575), hajlok is rá, hogy ez lesz  a végső megoldás, egy próbát mindenképp megérhet (ugyanúgy, ahogy anno a kerneleknél is a legrégebbi volt a legjobb).

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP 3.19.6 | M1132

#16 Holnapra csúsztatnám a választ. :-)

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#17

Nem S.O.S. a téma, nyugodtan ráér, akár heteket, hónapokat is kibírok nyomtatás nélkül (bő fél év után derült ki, hogy nem működik Mint-tel, mert az idén még csak most használtam volna először a nyomtatót), simán jó lesz a jövő héten is a válasz (hisz hétvége van), vagy azután, vagy amikor van időd, kedved. Előre is kösz!

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP 3.19.6 | M1132

#16 Itt mi van neked?

ls /usr/lib/x86_64-linux-gnu/sane/

De nézhetjük így is:

ls /usr/lib/x86_64-linux-gnu/sane/ | grep -i libsane-hp*

Itt lehetnek a keresett fájlok.

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#19

norbi@norbi-M540R:~$ ls /usr/lib/x86_64-linux-gnu/sane/
ls: '/usr/lib/x86_64-linux-gnu/sane/' nem érhető el: Nincs ilyen fájl vagy könyvtár
norbi@norbi-M540R:~$ ls /usr/lib/x86_64-linux-gnu/sane/ | grep -i libsane-hp*
ls: '/usr/lib/x86_64-linux-gnu/sane/' nem érhető el: Nincs ilyen fájl vagy könyvtár

De ezek nem 64 bites rendszerekhez passzoló elemek (és amennyiben igen, úgy mindenféleképpen szükséges a jelenlétük egy 32-bites rendszer futtatásakor)???

Egyébként, ha a korábban lefuttatott cat ~/hp-setup.log vagy a cat hp-setup.log | grep "file is not present" parancsok kimeneteiben (https://linuxmint.hu/comment/30605#comment-30605) rákeresek a /usr/lib/x86_64-linux-gnu/sane/ kifejezésre, akkor többször is hiányt jelez, ily módon is, pl.:

hp-setup[6847]: debug: Either /usr/lib/x86_64-linux-gnu/sane/libsane-hp2000S1.so file is not present or symbolic link is missing
hp-setup[6847]: debug: Either /usr/lib/x86_64-linux-gnu/sane/libsane-hp2000S1.so.1 file is not present or symbolic link is missing

Továbbra sem értem, azonban, hogy ez miért probléma, mert a megfelelő 32 bites változat meg megvan (és ez tök jó, mert 32 bites a Mintem, valamint az Xsane-vel sem volt gondom, már amennyire néztem, az működött, és a sane kifejezésből kiindulva sejtem, hogy ezek őhozzá passzolnak), pl.:

hp-setup[6847]: debug: /usr/lib/i386-linux-gnu/sane/libsane-hp2000S1.so library file present.
hp-setup[6847]: debug: /usr/lib/i386-linux-gnu/sane/libsane-hp2000S1.so library status: 1

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#20

Ahogy után kerestem a x86_64 a processzorhoz kapcsolódó utasításkészletre utal (https://hu.wikipedia.org/wiki/Intel_Core_2) és okozhat számomra is problémát a hiánya, mert Core 2 Duo processzor van a gépben (és ez a típus is fel volt sorolva), bár még így is úgy sejtem, hogy inkább az x86 lenne számomra a befutó és nem az x86_64 (bár mindkettőt tudja kezelni, 32 és 64 bites rendszerekkel is elbír, de én jelenleg 32 bitest Mintet futtatok, lehet, hogy a 64 bites változatra kellene váltanom, bár ezt semmi - a memória mérete /3Giga/ - sem indokolja számomra)?

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP 3.19.6 | M1132

#20 mert 32 bites a Mintem, valamint az Xsane-vel sem volt gondom, már amennyire néztem, az működött, és a sane kifejezésből kiindulva sejtem, hogy ezek őhozzá passzolnak), pl.:

Valamelyik kimenetben 64 bites rendszert láttam, és akkor betévedtem a málnásba. Bocsi.

A letöltött hplip csomagok tekintetében nem a dpkg telepít, úgyhogy nem fogod látni a

dpkg -l hplip

kimenetben telepítve az alkalmazást.

Esetleg, ha a telepítés után újraindítod a rendszert, akkor a Synaptic láthatja.
Megtörtént a rendszer újraindítása a telepítés után?
Ha újraindítod a rendszert, mit lát a Synaptic telepítve, melyik verziókat?

-----

Mikor türelmet kértem, én is fáradt voltam már, nem vettem észre, hogy irod:

64 bites rendszerelemre gyanakszom, viszont az enyém 32 bites, így a hiányuk nekem nem tűnik nagy gondnak, sőt a témában járatlanként még simán azt is kijelenteném, hogy jól is van ez így.

A kérdésben is írod: Mint 19 Xfce LTS 32 bit-et futtatva

Na mindegy, valami miatt az architektúra elkeveredett. Esetleg a telepítő nem jó.
Itt van a gond ...
Innen,
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
a letöltésnél kiválasztható a Linux Mint. Letöltöttem.
Te is a Linux Mint lehetőséget választottad ki minden esetben?

#####

Jegyzet: tök érdekes, hogy a MousePad azt mondja a run fájlra, hogy nem UTF-8, és nem nyitja meg. Most már igazán érthető, miért használom inkább a Geany szövegszerlesztőt :-)
Módosítás: a nano is nyitotta, és utána a Geany is. Nyilván véletlen, mert másodjára nem nyitja egyik sem ... bináris. ... illetve a nano, a fájl eleje olvasható. :-D
Letöltöttem még egyszer. Sokat nem tudok vele kezdeni. Tulajdonságai:

file hplip-3.19.6.run
hplip-3.19.6.run: POSIX shell script executable (binary data)

#####

El kéne távolítani a HPLIP weboldalról telepített csomagokat és a függőségeket a beállításokkal együtt. Keresgélem a megoldást.
Itt nincs részletezve: https://developers.hp.com/hp-linux-imaging-and-printing/howtos/install#h...
https://developers.hp.com/hp-linux-imaging-and-printing/install/install/...
Mármint a RUN telepítős megoldás.

Rendszer visszaállítási ponttal rendelkezel? Még a telepítések előttről.

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#22

A Minthez passzolót választottam az oldalon elviekben, így ezzel nem igazán lehet gond: https://ibb.co/rpfcHH7

Őszintén azt már meg nem mondom, hogy telepítéskor újraindítottam-e vagy sem.

A törlés gondolatával már én is eljátszadoztam:

Elviekben a HPLIP telepítési folyamata során felajánlja a meglévő verzió törlését, de nem tudom, hogy ez a régebbi verzióra váltás során az újabbat is törli, vagy csak akkor működik, ha a régebbit frissítem (helyettesítem) magasabb verziószámúra.

norbi@norbi-M540R:~$ dpkg -l | grep "hplip"
ii  hplip-data                                 3.17.10+repack0-5                               all          HP Linux Printing and Imaging - data files

norbi@norbi-M540R:~$ sudo apt-get purge hplip-data --simulate
[sudo] norbi jelszava:              
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
A következő csomagok automatikusan lettek telepítve, és már nincs rájuk szükség:
  gir1.2-rsvg-2.0 libcairo-script-interpreter2 libcairo2-dev libdjvulibre-dev
  libfontconfig1-dev libgdk-pixbuf2.0-dev libilmbase-dev liblqr-1-0-dev
  libmagick++-6-headers libmagick++-6.q16-7 libmagick++-6.q16-dev
  libmagickcore-6-arch-config libmagickcore-6-headers libmagickcore-6.q16-dev
  libmagickwand-6-headers libmagickwand-6.q16-dev libopenexr-dev
  libpixman-1-dev librsvg2-dev libxcb-render0-dev libxcb-shm0-dev
  libxrender-dev
Ezeket az „sudo apt autoremove” paranccsal törölheti.

Az alábbi csomagok el lesznek TÁVOLÍTVA:
  hplip-data*
0 frissített, 0 újonnan telepített, 1 eltávolítandó és 30 nem frissített.
Purg hplip-data [3.17.10+repack0-5]
norbi@norbi-M540R:~$ dpkg -l | grep "3.17.10+repack"
ii  hplip-data                                 3.17.10+repack0-5                               all          HP Linux Printing and Imaging - data files
ii  libhpmud0:i386                             3.17.10+repack0-5                               i386         HP Multi-Point Transport Driver (hpmud) run-time libraries
ii  libsane-hpaio:i386                         3.17.10+repack0-5                               i386         HP SANE backend for multi-function peripherals
ii  printer-driver-hpcups                      3.17.10+repack0-5                               i386         HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
norbi@norbi-M540R:~$ sudo apt-get purge libhpmud0:i386 --simulate
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
A következő csomagok automatikusan lettek telepítve, és már nincs rájuk szükség:
  gir1.2-rsvg-2.0 libcairo-script-interpreter2 libcairo2-dev libdjvulibre-dev
  libfontconfig1-dev libgdk-pixbuf2.0-dev libilmbase-dev liblqr-1-0-dev
  libmagick++-6-headers libmagick++-6.q16-7 libmagick++-6.q16-dev
  libmagickcore-6-arch-config libmagickcore-6-headers libmagickcore-6.q16-dev
  libmagickwand-6-headers libmagickwand-6.q16-dev libopenexr-dev
  libpixman-1-dev librsvg2-dev libxcb-render0-dev libxcb-shm0-dev
  libxrender-dev
Ezeket az „sudo apt autoremove” paranccsal törölheti.

Az alábbi csomagok el lesznek TÁVOLÍTVA:
  libhpmud0* libsane-hpaio* printer-driver-hpcups*
0 frissített, 0 újonnan telepített, 3 eltávolítandó és 30 nem frissített.
Purg printer-driver-hpcups [3.17.10+repack0-5]
Purg libsane-hpaio [3.17.10+repack0-5]
Purg libhpmud0 [3.17.10+repack0-5]

Synapticban most ezt látom (már rákerestem korábban is: https://linuxmint.hu/comment/30576#comment-30576): https://ibb.co/wckMRB9

Szorgalmasan használom a Timeshiftet (elviekben a rendszer telepítését közvetlenül követően is csináltam egy visszaállítási pontot az érintetlen állapotról), a kernelgebasz után meg egyenesen "rajongója" vagyok:

https://ibb.co/nQvDKhQ
https://ibb.co/T8C2NtM

Arra gondoltam, hogy, a mostani cuccok lepucolása után csinálok még egy pillanatképet, majd teszek egy próbát a hplip-3.10.5.run-nal (megnézem, hogy mire képes), majd pillanatkép és jöhet a hplip-3.14.6.run, aztán, ha egyik sem működik, akkor kipróbálom, hogy hogy működik a visszaállítás egy korábbi állapotra, a Timeshift segítségével.

 

Értékelés: 

0
Még nincs értékelve
tresor képe

HPLIP 3.19.6 | M1132

#21 Nyugodtan használhatsz 64bites rendszert 3 GB memóriával.

Értékelés: 

0
Még nincs értékelve
kimarite képe

CUPS

#4 Nem ártana? Nem. De nem is használ! Mivel felesleges.

A telepített csomagok listázásához nem kell admin jog.

Példa a hplip csomaggal:

dpkg -l hplip
dpkg --list hplip

... a rövidebb és a hosszabb paraméterrel

Kézikönyv:

man dpkg

A listázás (részlet):

              -l, --list package-name-pattern...
                  List packages matching given pattern.

... nem kell sudo vagy például su. Ezt én teszem hozzá.

Értékelés: 

0
Még nincs értékelve
kimarite képe

HPLIP 3.19.6 | M1132

#23 Elviekben a HPLIP telepítési folyamata során felajánlja a meglévő verzió törlését, de nem tudom, hogy ez a régebbi verzióra váltás során az újabbat is törli, vagy csak akkor működik, ha a régebbit frissítem (helyettesítem) magasabb verziószámúra.

Akkor töröld mindet, amit próbáltál.

-----

norbi@norbi-M540R:~$ dpkg -l | grep "hplip"
ii  hplip-data                                 3.17.10+repack0-5                               all          HP Linux Printing and Imaging - data files

norbi@norbi-M540R:~$ sudo apt-get purge hplip-data --simulate

Khm, ez a tükrökről elérhetőeket törli. Már említettem Egyszerűbb így (mindent):

sudo apt-get purge hplip*
sudo apt-get purge --autoremove

-----

Két külön dologról van szó, mármint (legalább) két külön csomag eltávolításáról.
Előről kéne kezdeni. Szóval, ha van visszaállítási pontot „időszámításunk előttről”, akkor „utazz vissza oda”.
Biztosan a telepítések előtti a visszaállítási pont?
Mindez után egyszerre csak egy dolgot kéne csinálni. Szerintem ezt:

sudo apt-get install hplip

Aztán a tesztekkel megnézzük, mi a gond ... és javításunkra kísérletet teszünk.
Mármint az általam utoljára említett tesztelésekkel, amikkel kiderültek ezek az érdekességek. :-)

-----

Arra gondoltam, hogy, a mostani cuccok lepucolása után csinálok még egy pillanatképet, majd teszek egy próbát a hplip-3.10.5.run-nal (megnézem, hogy mire képes), majd pillanatkép és jöhet a hplip-3.14.6.run, aztán, ha egyik sem működik, akkor kipróbálom, hogy hogy működik a visszaállítás egy korábbi állapotra, a Timeshift segítségével.

Sokat tanul az ember az ilyenekkel. ;-)
... mint említettem, a mostani cuccokat a dpkg-val NEM tudod lepucolni. :-)

Értékelés: 

0
Még nincs értékelve

hplip-3.10.5.run telepítése

Elviekben lepucoltam mindent: https://paste.ubuntu.com/p/fgdrzbM8wm/

Így néz ki most a Synaptic: https://ibb.co/PFV3RLN

Azért lefuttattam ezeket is:

(Az általad belinkelt oldal alapján: https://developers.hp.com/hp-linux-imaging-and-printing/howtos/install#h...)

norbi@norbi-M540R:~$ sudo rm -rf /usr/share/hplip
norbi@norbi-M540R:~$ sudo rm -rf /etc/hp
norbi@norbi-M540R:~$ sudo rm -rf ~/.hplip
norbi@norbi-M540R:~$ sudo rm -rf /var/lib/hp
norbi@norbi-M540R:~$

Sok mindent nem csinált, gondolom azért, mert a bejegyzés elején felsorolt műveletek elvégezték a munkát.

Nekiálltam telepíteni a hplip-3.10.5-öt az alábbi videókra támaszkodva:

https://www.youtube.com/watch?v=En2DJAMpwmY

https://www.youtube.com/watch?v=5UH0-mnpGJI

Íme a folyamat: https://paste.ubuntu.com/p/vMYMBRz9vK/

Az ENTER USER PASSWORD-nél besírt és erroroz:

ENTER USER PASSWORD
-------------------
Please enter the user (norbi)'s password: 
-error: No output seen in over 300 sec... (Is the CD-ROM/DVD source repository enabled? It shouldn't be!)

Megpróbáltam úgy is, hogy kinyitottam a meghajtót (egyébként nem működik már egy ideje, így nem tudom, hogy miért zavarja), hátha, de nem sikerült átvernem:

https://paste.ubuntu.com/p/v5PgvfZz92/

A második videóban is említésre kerül (3:55-nél az INSTALLATION NOTES-on belül) a cd/dvd meghajtó, melyet disable-ni kellene nekem is, de hogyan??? Tanács? Itt javasol egy oldalt is (https://help.ubuntu.com/community/Repositories/Ubuntu), melyet megnéztem, ez alapján szerintem nálam is rendben van minden: https://ibb.co/3sZ1mzq, azért nyomtam neki egy eltávolítást (úgy sem működik a meghajtó): https://ibb.co/SRL45qH, de ez sem vált be, a tünetek ugyanazok, errorozik keményen (egyébként érdekes, mert korábban a 3.19.6-nál nem zavarta a meghajtó /https://paste.ubuntu.com/p/dP8VSqpqZQ//, lehet hogy verzióspecifikus ez a jelenség).

Ezeket találtam, de semmire sem jók:

https://forums.linuxmint.com/viewtopic.php?t=209525

https://askubuntu.com/questions/873396/disable-enable-cd-rom

norbi@norbi-M540R:~$ sudo eject    /root/sr0
[sudo] norbi jelszava:              
eject: nem található, vagy nem nyitható meg az eszköz ehhez: "/root/sr0"
norbi@norbi-M540R:~$ sudo eject -t /root/sr0
eject: nem található, vagy nem nyitható meg az eszköz ehhez: "/root/sr0"
norbi@norbi-M540R:~$ eject -i 1
CD-Drive may NOT be ejected with device button
norbi@norbi-M540R:~$ eject -i 0
CD-Drive may be ejected with device button

Az utóbbi 2 a meghajtó nyithatóságát befolyásolja, de szerintem nekem nem ez kell.

Szerintem ugrok a hplip-3.14.6-ra

Értékelés: 

0
Még nincs értékelve

HPLIP 3.19.6 | M1132

#26

Előzmény: https://linuxmint.hu/comment/30668#comment-30668

Sikerült belefognom a telepítési folyamatba (https://linuxmint.hu/comment/30670#comment-30670) a kommented előtt, így már tényleg csak az időutazás marad.

Kb. egy hete vettem észre a problémát, piszkálgatni csak utána kezdtem, így van vagy 20 lehetőségem, amely közül választhatok.

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.10.5.run telepítése

#27 Mert az rm (remove) csak az i kapcsolóval interaktív ... amúgy csendben töröl.
Célszerű amúgy meggyőződni, hogy amit törölsz, ott van-e

Fájl (file),

file /elérési_út/fájl

és könyvtár esetén (ls).

ls /elérési_út/könívtár/

Azért lefuttattam ezeket is:

(Az általad belinkelt oldal alapján: https://developers.hp.com/hp-linux-imaging-and-printing/howtos/install#h...)

norbi@norbi-M540R:~$ sudo rm -rf /usr/share/hplip
norbi@norbi-M540R:~$ sudo rm -rf /etc/hp
norbi@norbi-M540R:~$ sudo rm -rf ~/.hplip
norbi@norbi-M540R:~$ sudo rm -rf /var/lib/hp
norbi@norbi-M540R:~$

Sok mindent nem csinált, gondolom azért, mert a bejegyzés elején felsorolt műveletek elvégezték a munkát.

Próbálkozz ..., nincs most időm videókat nézni. Sajnos ... . Próbálkozni lehet, nem árt. :-)

-----

https://www.youtube.com/watch?v=ZK3neZuAb2c

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.10.5.run telepítése

#27 https://paste.ubuntu.com/p/fgdrzbM8wm/

Én nem a linken szereplő parancssorokat írtam, hanem ezt:

sudo apt-get purge hplip*
sudo apt-get purge --autoremove

... ki is fejtettem a miérteket. Figyelj jobban. :-)

-----

https://paste.ubuntu.com/p/v5PgvfZz92/

Please choose the installation mode (a=automatic*, c=custom, q=quit) : 

Initializing. Please wait...
 

INTRODUCTION
------------
This installer will install HPLIP version 3.10.5 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).
 

DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Linux Mint 19.

Is "Linux Mint 19" your correct distro/OS and version (y=yes*, n=no, q=quit) ? 

A kiemelt soroknál mit választottál?

Nem a 3.10.4 kellett volna a 3.10.5 helyett? Én nem találtam sehol ... .
De itt írtam (ha már erről van szó): https://linuxmint.hu/comment/30584#comment-30584
A 3.10.5 telepítőt megnézném, linkeld, honnan töltötted le.

-----

https://www.youtube.com/watch?v=7gphiFVVtUI

Értékelés: 

0
Még nincs értékelve

hplip-3.10.5.run telepítése

#31

Igaz, tényleg nem ezeket írtad. Bocs!

a=automatic* 
y=yes*

De igen, csak az nem volt elérhető, így a legközelebbit választottam: https://sourceforge.net/projects/hplip/files/hplip/

Egyébként ezekbe az ismert hibákba botlottam bele (a korábban általad belinkelt oldalon is szerepelnek: https://developers.hp.com/hp-linux-imaging-and-printing/release_notes) a 3.10.5-HP LaserJet Professional M1132 MFP viszonylatában, lehet, hogy felejtős ez a verzió: https://developers.hp.com/hp-linux-imaging-and-printing/KnowledgeBase/Tr...

A böngészési előzményeket visszanézve ezek a fájlok forrásai:

https://sourceforge.net/projects/hplip/files/hplip/3.10.5/hplip-3.10.5.r...

https://sourceforge.net/projects/hplip/files/hplip/3.14.6/hplip-3.14.6.r...

https://sourceforge.net/projects/hplip/files/hplip/3.19.6/hplip-3.19.6.r...

A régebbi változatok (hplip-3.10.5.run, hplip-3.14.6.run) kiindulási alapja mindig ez volt: https://sourceforge.net/projects/hplip/files/hplip/

https://ibb.co/K6RsdDB

https://ibb.co/xqN24XL

Firefox->Eszközök->Letöltések: https://ibb.co/cFWxM6F

A rendszer, Timeshift segítségével történő, visszaállításán kívül egyéb barkácsolást nem tervezek egyelőre, ezt a napokban megteszem (egy alapos biztonsági mentést követően) és ezzel visszatérek az alapokhoz (szerintem a rendszer telepítését követő 1. pillanatképet fogom választani), ahol tiszta lapokkal kezdhetek újra mindent az elejéről.

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.10.5.run telepítése

#32 Tiszta lap, és ott állj meg.

Értékelés: 

0
Még nincs értékelve

hplip-3.10.5.run telepítése

#33

Úgy lesz (szerintem szerdán vagy csütörtökön, a holnap nem biztos), én is úgy terveztem, hogy a Timeshift után ráülök a kezeimre, amíg útmutatást nem kapok (nem lenne jó, ha esetleg megint elgányolnék valamit).

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.10.5.run telepítése

#34 Rendben. :-)

Értékelés: 

0
Még nincs értékelve

Rendszer-visszaállítás 2018.12.30-ra

Megtörtént a visszaállítás Timeshift használatával. Ezt követően kénytelen voltam a Frissítéskezelőben lefuttatni a felajánlott frissítéseket (jelenleg 1-es, valamint 2-es szintre vannak korlátozva: https://ibb.co/sbcmK7W https://ibb.co/6ysLdHg), mert alap állapotban még a Firefox sem volt hajlandó elindulni, de egyéb dolgot ezt követően nem csináltam.

A frissítés nem volt zökkenőmentes:

Közvetlenül a rendszer-visszaállítást követően ezt dobta a gép, itt még minden OK: https://paste.ubuntu.com/p/TpDWBV8kgt/

Aztán megkínált egy csomó frissítéssel, itt már volt gond gazdagon: https://paste.ubuntu.com/p/2mYPrBFK9T/

Ezt követően még mindig telepítésre váró dolgokat mutatott a Frissítéskezelő, így nyomtam egy Telepítést ismét, ennek volt a legszebb az eredménye: https://ibb.co/qgmkQjs

A "Törött" szűrőt nem sikerült megtalálni, (Firefox híján infókat sem tudtam róla keresni), viszont a Frissítéskezelő->Szerkesztés->Szoftverforrások ablakon belül (https://ibb.co/F0Lqk1h) a Karbantartás opciót választva és ezt követően a Lista-összevonási problémák javítására (ez nem használt), majd a Hátramaradt beállítófájlok tisztítására (ez jött be) kattintva már lefutott a frissítés gond nélkül: https://paste.ubuntu.com/p/7qtX688TWH/

Tehát most az eredeti, "ősrendszer" az aktuális (még a kernel is visszaállt a 4.15.0-20-ra az eddigi 4.18.0-20-asról /erre számítottam/, így, ha minden igaz, a kerneles problémám - https://linuxmint.hu/forum/kernel-frissites-rendszerinditasi-problema - végére is pont került ezáltal), a nyomtatáshoz kapcsolódó fájlokat, programokat nem piszkáltam (csak annyira, amennyire a fenti frissítések bolygatták őket), további utasításig pihenőállásba helyezem a kezeimet.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Rendszer-visszaállítás:2018.12.30. > sudo apt-get install hplip

#36 http://openprinting.org/printer/HP/HP-HP_LaserJet_Professional_M1132_MFP
( ...  http://openprinting.org/printer/HP/HP-LaserJet_Pro_M1132_MFP)

Recommended driver:

     
  hplip  (driver home page)  
     
  HP's driver suite for printers and multi-function devices
>= 3.10.4 (ez vagy újabb driver)
Supplier: Hewlett-Packard (this printer's manufacturer)
License: MIT/BSD/GPL (free software)
 
  User support: HPLIP support and bug tracking system (voluntary)  
  Max. rendering resolution: 1200x1200dpi   Color output   Type: CUPS Raster  
  Text: ||||||||||  100 Graphics: ||||||||||  100 System Load: Unknown  
  Line Art: ||||||||||  100 Photo: ||||||||||  100 Speed: ||||||||||  70

Szerintem kezdjünk ezzel:

sudo apt-get install hplip

Aztán teszt

A kimenet kell:

hp-check

Másféle hibakeresés:

hp-setup -g &> ~/hp-setup.log

Olvasd vissza a naplót (ennek tartalma kell ide)

cat ~/hp-setup.log

Ezekből összeáll, mi hiányzik.

Értékelés: 

0
Még nincs értékelve

HP CM1017

Hamarosan én is fogok itt visongatni. Megvettem ezt a HP-t. Még nincs nálam, és ha hazahozom (1-2 hét), akkor se lesz időm egyből vele foglalkozni.
Reményeim szerint a nyomtatással el is fogok valahogy boldogulni. Azonban szkennert még sosem üzemeltem be.
És ez már hálózatos nyomtató. Hogyan fogom én azt látni mindenhonnan? Beledugom a switch-be, és a cups majd felismeri?

Értékelés: 

0
Még nincs értékelve
kimarite képe

HP CM1017

#38 A CUPS webes felületén lehet beállítani.
Erről nyiss majd egy új bejegyzést.

Értékelés: 

0
Még nincs értékelve

sudo apt-get install hplip és társai

#37

A sudo apt-get install hplip parancs kiadásának nem sok értelme volt, mivel már a hplip 3.17.10+repack0-5-ös verziója alapból rajta van a gépen (visszaállítás után is: https://ibb.co/0fZhkgq, de pendriveról indítva, live módban is ez a verzió volt működésképtelen, ha jól emlékszem), bár abban bíztam, hogy felajánlja a frissítés lehetőségét, de úgy tűnik, hogy max valamilyen update paranccsal tudnék magasabb verziószámra váltani, már ha mindenféleképpen szükséges (de elviekben ezzel is működnie kéne, mert a 3.10.4-től felfele elméletben mindegyik jó, persze a gyakorlat mást mond).

A hp-check kimenetében van bőven error: https://paste.ubuntu.com/p/TFG28bN25k/

A lényeget összegezve:

-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libjpeg8-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing/incompatible
error: 'cups-bsd' package is missing/incompatible
error: 'cups-client' package is missing/incompatible
error: 'libcupsimage2-dev' package is missing/incompatible
error: 'build-essential' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libsane-dev' package is missing/incompatible
error: 'libsnmp-dev' package is missing/incompatible
error: 'snmp-mibs-downloader' package is missing/incompatible
error: 'openssl' package is missing/incompatible
error: 'python3-pyqt4' package is missing/incompatible
error: 'python3-dev' package is missing/incompatible
error: 'libtool' package is missing/incompatible
error: 'libtool-bin' package is missing/incompatible
error: 'build-essential' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
error: 'xsane' package is missing/incompatible
error: 'python3-notify2' package is missing/incompatible
error: 'mate-notification-daemon' package is missing/incompatible
error: 'python3-dbus.mainloop.qt' package is missing/incompatible

Plug-in Status
--------------
error: Plug-ins need to be installed

Total Errors: 18
Total Warnings: 0

Figyelmeztet a következőkre:

warning: 22-19 version is not supported. Using 22-18.2 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:15:38 UTC 2018 GNU/Linux
 Host: norbi-M540R
 Proc: 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:15:38 UTC 2018 GNU/Linux
 Distribution: 22 19
 Bitness: 32 bit

Illetve erre:

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.17.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 22 distro  19 version

Van egy olyan sejtésem, hogy a 22 distro a Linux Mintet, a 19 version pedig a Tara-t takarja, így már lehet, hogy nem véletlen a hiba, és csak Sonya-val tudnék zöld ágra vergődni.

A hp-setup -g &> ~/hp-setup.log parancsra nem sok minden történik, korábban legalább megjelent a HP Device Manager (https://linuxmint.hu/comment/30605#comment-30605), most semmi reakció nincs:
norbi@norbi-M540R:~$ hp-setup -g &> ~/hp-setup.log
norbi@norbi-M540R:~$

A cat ~/hp-setup.log eredménye pedig ez:

norbi@norbi-M540R:~$ cat ~/hp-setup.log

HP Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

hp-setup[3614]: debug: param=
hp-setup[3614]: debug: selected_device_name=None
hp-setup[3614]: debug: No module named 'PyQt5'
hp-setup[3614]: debug: No module named 'PyQt4'
warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
norbi@norbi-M540R:~$

 

Értékelés: 

0
Még nincs értékelve

HP CM1017

#38

Íme egy videó "kedvcsinálóképpen" (kizárólag mindent a szemnek, semmit a kéznek alapon): https://www.youtube.com/watch?v=En2DJAMpwmY

Értékelés: 

0
Még nincs értékelve
kimarite képe

sudo apt-get install hplip és társai

#40 Nekem sikerült telepíteni a legújabb HPLIP alkalmazást.
Letöltöttem ...

A letöltött fájlt futtathatóvá tettem,

chmod +x hplip-3.19.6.run

és futtattam.

./hplip-3.19.6.run

A telepítés folyamán, a kérdéseknél (a nálad tapasztalhatóakkkal ellentétben) mindenho látszott a választásom (pl. a, y), és a felhasználói jelszavam is elfogadta a rendszer (nem volt megnyitva más csomagkezelő!). Az nagyon érdekes, hogy nálad nem látszik semmi vagy egy kérdőjel látszik ... mintha nem gépeltél volna be semmit, csak megnyomtad volna az Entert. Az automatikus telepítést választottam, az a-t (és nem a c-t, vagyis a custom telepítést). A telepítés ideje alatt nyomtató nem volt csatlakoztatva.

Az eredmény:

hp-check
Saving output in log file: /home/mint183mate32/hp-check.log

HP Linux Imaging and Printing System (ver. 3.19.6)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:30:51 UTC 2017 GNU/Linux
 Host: mint183mate32-VirtualBox
 Proc: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:30:51 UTC 2017 GNU/Linux
 Distribution: 22 18.3
 Bitness: 32 bit

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.19.6
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for linuxmint distro  18.3 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.19.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.6
html=/usr/share/doc/hplip-3.19.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: Nincs ilyen fájl vagy könyvtár

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1564676427
pending_upgrade_time = 0
latest_available_version = 3.17.10

[installation]
date_time = 2019-08-01 18:25:47
version = 3.19.6

 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
Traceback (most recent call last):
  File "/usr/bin/hp-check", line 862, in <module>
    num_errors, num_warns = dep.validate(time_flag, is_quiet_mode)
  File "/usr/bin/hp-check", line 368, in validate
    self.core.dependencies[dep])
  File "/usr/bin/hp-check", line 210, in __update_deps_info
    installed_ver = self.core.version_func[deps_info[6]]()
  File "/usr/share/hplip/installer/dcheck.py", line 373, in get_pil_version
    return Image.VERSION
AttributeError: 'module' object has no attribute 'VERSION'

Eddig minden rendben: OK, OK, stb..

A helyzet a korábbi telepítéssel (az alapértelmezett):

apt-cache policy hplip
hplip:
  Telepítve: (nincs)
  Jelölt:    3.16.3+repack0-1
  Verziótáblázat:
     3.16.3+repack0-1 500
        500 http://ucho.ignum.cz/ubuntu xenial/main i386 Packages
        100 /var/lib/dpkg/status
dpkg -l hplip
Kért=ismeretlen(u)/telepítés(i)/eltávolítás(r)/törlés(p)/tartás(h)
| Állapot=nem(n)/telepített(i)/ütköző-fájlok(c)/kibontatlan(u)/félig-
|     ütköző(f)/félig-telepített(h)/aktiválóra-vár(w)/aktiváló-függőben(t)
|/ Hiba?=(nem)/újratelepítés-szükséges(r) (Állapot,Hiba: nagybetű=rossz)
||/ Név                         Verzió             Architektúra       Leírás
+++-===========================-==================-==================-============================================================
rc  hplip                       3.16.3+repack0-1   i386               HP Linux Printing and Imaging System (HPLIP)

Ha most futtatom

hp-setup

megjelenik a grafikus felület és ki tudnák választani egy immár csatlakoztatott nyomtatót.
A panelen megjelent az alkalmazás:

... a képen „a feladat” sorban (1., 2., 3.).

Gondold át a 3.19-es verzió telepítése alatt elkövetett hibáidat és telepíts a nyomtató csatlakoztatása nélkül a HPLIP csomagot. Mert nálam csak a plugin hiányzik, más minden rendben. A jelszavam is elfogadja a rendszer, vagyis a telepítő.

De ... jött így szembe még valami (csak, mint lentebb is írom, gyúzzem kivárni a 32 bites rendszer „gyorsaságát”)

A plugin telepítése (még mindig semmit nem csináltam a nyomtatóval, nem csatlakoztattam, nem próbáltam beállítani):

hp-plugin

... khm, itt tényleg gondok adódtak,
(egy grafikus felület nyílik meg)

This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.19.6
Installed HPLIP version: 3.19.6
Number of files to install: 64

Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.

de ez a két parancssor megoldotta:

sudo apt-get install apparmor-utils
[sudo] mint183mate32 jelszava:
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
A következő további csomagok lesznek telepítve:
  python3-apparmor python3-libapparmor
Javasolt csomagok:
  apparmor-docs vim-addon-manager
Az alábbi ÚJ csomagok lesznek telepítve:
  apparmor-utils python3-apparmor python3-libapparmor
0 frissített, 3 újonnan telepített, 0 eltávolítandó és 32 nem frissített.
Letöltendő adatmennyiség: 157 kB.
A művelet után 929 kB lemezterület kerül felhasználásra.
Folytatni akarja? [I/n]
Letöltés:1 http://ucho.ignum.cz/ubuntu xenial-updates/main i386 python3-libapparmor i386 2.10.95-0ubuntu2.11 [27,4 kB]
Letöltés:2 http://ucho.ignum.cz/ubuntu xenial-updates/main i386 python3-apparmor i386 2.10.95-0ubuntu2.11 [76,1 kB]
Letöltés:3 http://ucho.ignum.cz/ubuntu xenial-updates/main i386 apparmor-utils i386 2.10.95-0ubuntu2.11 [53,1 kB]
Letöltve 157 kB 0mp alatt (544 kB/s)
A korábban ki nem választott python3-libapparmor csomag kiválasztása.
(Adatbázis olvasása ... 232725 fájl és könyvtár van jelenleg telepítve.)
Kibontás előkészítése: .../python3-libapparmor_2.10.95-0ubuntu2.11_i386.deb ...
Kibontás: python3-libapparmor (2.10.95-0ubuntu2.11) ...
A korábban ki nem választott python3-apparmor csomag kiválasztása.
Kibontás előkészítése: .../python3-apparmor_2.10.95-0ubuntu2.11_i386.deb ...
Kibontás: python3-apparmor (2.10.95-0ubuntu2.11) ...
A korábban ki nem választott apparmor-utils csomag kiválasztása.
Kibontás előkészítése: .../apparmor-utils_2.10.95-0ubuntu2.11_i386.deb ...
Kibontás: apparmor-utils (2.10.95-0ubuntu2.11) ...
Aktiválók feldolgozása: man-db (2.7.5-1) ...
Beállítás: python3-libapparmor (2.10.95-0ubuntu2.11) ...
Beállítás: python3-apparmor (2.10.95-0ubuntu2.11) ...
Beállítás: apparmor-utils (2.10.95-0ubuntu2.11) ...

sudo aa-disable /usr/share/hplip/plugin.py
Disabling /usr/share/hplip/plugin.py.

Forrás: https://bugs.launchpad.net/hplip/+bug/1813768

Íme:

hp-plugin

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from:
Receiving digital keys: /usr/bin/gpg --homedir /home/mint183mate32/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x4ABA2F66DBD5A95894910E0673D770CDA59047B9
\
Creating directory plugin_tmp
Verifying archive integrity... All good.
Uncompressing HPLIP 3.19.6 Plugin Self Extracting Archive..............................................................

HP Linux Imaging and Printing System (ver. 3.19.6)
Plugin Installer ver. 3.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.19.6
Installed HPLIP version: 3.19.6
Number of files to install: 64

 
Done.
 Plug-in installation successful

Done.

Nno. Mindezek után a nyomtatót csatlakoztatod és beállítod. :-)

Off: le fogom törölni a 32 bites Mintet, mert a Virtualboxban használva, kétszer olyan ősz leszek, mint vagyok ... lassú, mint a csiga (a Virtualboxban).

-----

Zárójelben: https://wiki.debian.org/DriverlessPrinting#Creating_a_Driverless_Print_Q...
(https://bugs.launchpad.net/hplip/+bug/1810577)

Értékelés: 

0
Még nincs értékelve

Setup hplip-3.19.6 Norbimódra

Tényleg nem nyomkodtam a betűket, csak az ENTERT, bár arra gondoltam, hogy mivel mindegyik választásom *-ozott, default opció volt, így elég lesz az ENTER is, lehet, hogy tévedtem:

note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.

Megjegyzem, hogy volt korábban egy próbálkozásom (https://linuxmint.hu/comment/30540#comment-30540 1.: https://paste.ubuntu.com/p/7sNFJR5dmj/, illetve 2. kör: https://paste.ubuntu.com/p/XNJbpzSGmq/), ami betű+ENTER kombóval ment végbe, de nem hozott áttörő sikert.

A problémás grafikus felület tartalma nekem is ismerős korábbról (most csak "terminálos formában" találtam meg: https://linuxmint.hu/comment/30569#comment-30569, de mintha "ablakosan" is feltűnt volna): https://ibb.co/qx8HZcS

Nekifogtam a telepítésnek:

Letöltöttem a hplip-3.19.6.run-t:

https://ibb.co/LkRSTpJ
https://ibb.co/X5vJHCK
https://ibb.co/qYq3vyH

Terminálban:

norbi@norbi-M540R:~$ cd Letöltések/
norbi@norbi-M540R:~/Letöltések$ chmod +x hplip-3.19.6.run
norbi@norbi-M540R:~/Letöltések$ ./hplip-3.19.6.run
...

Elvileg minden "jól" ment: https://paste.ubuntu.com/p/cpThKmwjz7/

A folyamat közben ezeket a válaszokat adtam:

Please choose the installation mode (a=automatic*, c=custom, q=quit) : a

Is "Linux Mint 19" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y

Please enter the sudoer (norbi)'s password:

Please read the installation notes. Press <enter>

(Elviekben települt az apparmor és később sem dobta be a hibaüzenetet folyamat közben, ahogy nálad, így azt gondoltam, hogy nem lesz szükség a sudo apt-get install apparmor-utils- parancsra a későbbiekben:
SECURITY PACKAGES
-----------------
AppArmor is installed.
AppArmor protects the application from external intrusion attempts making the application secure)

Would you like to have this installer install the hplip specific policy/profile (y=yes*, n=no, q=quit) ? y

Do you want to install these missing dependencies (y=yes*, n=no, q=quit) ? y

Do you want to check for HPLIP updates?. (y=yes*, n=no) : n

RESTART OR RE-PLUG IS REQUIRED
------------------------------
If you are installing a USB connected printer, and the printer was plugged in when you started this installer, you will need to either restart your PC or     
unplug and re-plug in your printer (USB cable only). If you choose to restart, run this command after restarting: hp-setup (Note: If you are using a parallel
connection, you will have to restart your PC. If you are using network/wireless, you can ignore and continue).                                                

Restart or re-plug in your printer (r=restart, p=re-plug in*, i=ignore/continue, q=quit) : p

(ugyan nem volt csatlakoztatva a nyomtató /USB/, viszont az r=újraindítás, i=figyelmen kívül hagyás/folytatás /nem hálózati/vezeték nélküli a nyomtató/, sem pedig a q=kilépés opciót nem akartam/tudtam választani, így maradt a p, lehet, hogy itt ment félre valami.)

Please unplug and re-plugin your printer now.  Press <enter>

Do you want to setup printer in GUI mode? (u=GUI mode*, i=Interactive mode) : u

Itt bedobott egy sor párbeszédablakot:

https://ibb.co/W20GvB3
https://ibb.co/nMMDqGP
https://ibb.co/bsjbG4S
https://ibb.co/q5kmSGv
https://ibb.co/Kr888dT

A válaszaim: Yes->Next->OK->OK->OK

A terminál válasza pedig ez:

Done.
 Plug-in installation successful

Done.
error:  The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins.  Please run 'hp-plugin' as normal user to install plug-ins.   Visit  http://hplipopensource.com  for more infomation.

Done.

RE-STARTING HP_SYSTRAY
----------------------

HP Linux Imaging and Printing System (ver. 3.19.6)
System Tray Status Service ver. 2.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:127: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)
norbi@norbi-M540R:~/Letöltések$

Sejtem, hogy korábban az u helyett i-t kellett volna nyomnom.

Ezután megkapja az igényelt hp-plugin parancsot:

norbi@norbi-M540R:~/Letöltések$ hp-plugin

A folyamat eredménye:

Plug-in version: 3.19.6
Installed HPLIP version: 3.19.6
Number of files to install: 64

 
Done.
 Plug-in installation successful

Done.
norbi@norbi-M540R:~/Letöltések$

Tehát már kezdenék örülni, hogy minden süti-fagyi.

A hp-check, a apt-cache policy hplip és a dpkg -l hplip parancsok ezt mondják: https://paste.ubuntu.com/p/KY9GMt9DBB/

Ez a sor különösen aggaszt, bár mindent szupernek talál itt is:
warning: Failed to read /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-M1132-MFP.ppd ppd file

Összességében jónak néz ki a jelen állapot, de a gebaszok a nyomtató beállításánál következnek (lehet, hogy a korábbi 3.17.10-es is jó volt, csak a nyomtatóbeállításnál kúráltam/kúrálok el valamit és azért dobja minden alkalommal ugyanazt a hibaüzenetet, bár amikor beavatkozás nélkül, hagyom, hogy automatikusan ismerje fel a nyomtatót és állítsa be kedve szerint a dolgokat, akkor is ugyanez a végeredmény):

1. körben HPLIP:

https://ibb.co/Lr9750J
https://ibb.co/SmThhGx
https://ibb.co/fqZ21RG
https://ibb.co/tmkTmg6

2. körben USB:

https://ibb.co/V38CSN7
https://ibb.co/8cQ5zJx
https://ibb.co/vLPmpNf

3. körben URI megadásával:

https://ibb.co/1s8smRL
https://ibb.co/CnQV9mZ
https://ibb.co/2PFnkDp
https://ibb.co/0BftZLD
https://ibb.co/H283dcg

4. körben CUPS:

https://ibb.co/9VHJVNC
https://ibb.co/kg962zh
https://ibb.co/LZCrj9H
https://ibb.co/FH4bPQc
https://ibb.co/Dw13Vpw
https://ibb.co/JjJrNFz
https://ibb.co/1JsMpH3
https://ibb.co/XkTct5s
https://ibb.co/k9R5TD2

Ennyi szopókázás után úgy gondoltam, biztos, ami biztos, hátha valami félrecsúszott és kiadtam a hp-plugin parancsot: https://paste.ubuntu.com/p/G9szKMzdM3/
Itt már erroroz, ahogy nálad is (ez mondjuk marha érdekes, mert a telepítés legelején meg patent volt ugyanez a rész: https://paste.ubuntu.com/p/cpThKmwjz7/):
Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.

Ezután megkapja a sudo apt-get install apparmor-utils, majd a sudo aa-disable /usr/share/hplip/plugin.py parancsokat, ahogy nálad történt: https://paste.ubuntu.com/p/VWKVKvTQ8n/

Majd jön az újabb hp-plugin: https://paste.ubuntu.com/p/y45GkZ5wtT/

Most megint elégedett mindennel (meglehetősen szeszélyesnek találom, egyszer jó, majd nem, aztán megint OK).

Végezetül végigmentem a Printing troubleshooter folyamatán (korábban is megpróbáltam így kideríteni a hiba okát, eredménytelenül, most sem történt másként):

https://ibb.co/cxj8552
https://ibb.co/W0CCNm8
https://ibb.co/zZ100Q6
https://ibb.co/C16FwY1
https://ibb.co/3SBn0JY

Kidobott egy parancsot (4.), amit futtattam egy kicsit átalakítva, melyből sok mindent nem sikerült leszűrnöm:

norbi@norbi-M540R:~$ sudo  -c 'journalctl -u cups.service --since="None" --until="2019-08-02 16:41:46"' > troubleshoot-logs.txt
usage: sudo -h | -K | -k | -V
usage: sudo -v [-AknS] [-g group] [-h host] [-p prompt] [-u user]
usage: sudo -l [-AknS] [-g group] [-h host] [-p prompt] [-U user] [-u user]
            [command]
usage: sudo [-AbEHknPS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-T timeout] [-u user] [VAR=value] [-i|-s] [<command>]
usage: sudo -e [-AknS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-T timeout] [-u user] file ...

Végül felállított egy diagnózist (5.), amit elmentettem, hátha te tudod értelmezni, mert az én képességeimet meghaladja: https://paste.ubuntu.com/p/nbqcH26z8C/

Egyelőre felteszem mindkét kezem és feladom (gyanítom, hogy szoftverfronton már jó vagyok és a nyomtatóbeállításoknál csúsztam meg).

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.19.6 + plugin

#44 Csak egy kérdésem lenne: működik a nyomtató, a nyomtatás?

Azt nem értem, miért nem szeretnéd a frissítéseket:

Do you want to check for HPLIP updates?. (y=yes*, n=no) : n <-- Miért? (az ajánlott/recommended a *-ozott)

-----

Restart or re-plug in your printer (r=restart, p=re-plug in*, i=ignore/continue, q=quit) : p

(ugyan nem volt csatlakoztatva a nyomtató /USB/, viszont az r=újraindítás, i=figyelmen kívül hagyás/folytatás /nem hálózati/vezeték nélküli a nyomtató/, sem pedig a q=kilépés opciót nem akartam/tudtam választani, így maradt a p, lehet, hogy itt ment félre valami.)

Restart a jó szerintem. Ami nincs csatlakoztatva, azt ... . Tényleg rosszat nyomtál. Mem akartad vagy nem tudtad? Nem mindegy. Ki lehet az r-t választani és Enter az érvényesítés.

Please unplug and re-plugin your printer now.  Press <enter>

... vélhetően a telepítő csinálja a leválasztást és a csatlakoztatást. De nyilván ami nincs csatlakoztatva, azt nem tudja.

Do you want to setup printer in GUI mode? (u=GUI mode*, i=Interactive mode) : u

A GUI mód tökéletes.

-----

Egyébként akárhányszor telepíted, a run telepítő script mindig törli a már telepített HPLIP alkalmazást, legyen az
-- a tükörről származó,
-- bármely más HPLIP-es, a weboldalról letöltött (RUN),
-- vagy ugyanaz, mint amit telepítesz.

Valami lapozós kép-megosztó portál kéne vagy témánként a lapozható galéria. Nem is kicsit nehézkes egyenként végignézni a képeket. Nem néztem végig most. :-)

A félreértések elkerülése végett, mindez így történt az én rendszeremen (töröltem a 32 bites virtuális rendszert):

-- Telepítő (HPLIP run): https://pastebin.com/mrkNYAfx

-- Csak HPLIP Plugin: https://pastebin.com/BE1Eagfv

A restart előtt mentettem a kimenetet.
Végtelenre állítottam a terminálban megjeleníthető szöveget (ezt a beállítást használom általában).

Hibák:
https://bugs.launchpad.net/hplip/+bug/1813768
https://bugs.launchpad.net/hplip/+bug/1813445
https://forums.linuxmint.com/viewtopic.php?f=51&t=286810

Segítség:
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip
https://developers.hp.com/hp-linux-imaging-and-printing/plugins
https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.19.6 + plugin

#45 Az Apparmor persze, hogy telepítve, de Plugin telepítését blokkoló szabályt ki kellett kapcsolni.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Hewlett-Packard-HP-LaserJet-Professional-M1132-MFP.ppd

#44 Igen, ezzel a jelenséggel érdemes lesz foglalkozni (ha egyáltalán):

Ez a sor különösen aggaszt, bár mindent szupernek talál itt is:
warning: Failed to read /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-M1132-MFP.ppd ppd file

De csak akkor, ha az eszköz beállítása nem sikerült.
Felesleges most naplókat értelmezni, értelmeznem. Fárasztó is, nincs igazán szükség rá és én sem biztos, hogy mindent jól értelmezek. Van egy könnyebb út, nem a legnehezebbet kell választani. A telepítés sikerült, de felmerült egy figyelmeztetés (Warning). Számít-e, vagy nem, kiderül. Addig nézzük meg, létezik-e a PPD:

file /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-M1132-MFP.ppd

És mi van még ugyanott? Nézzük:

ls /etc/cups/ppd/

Itt megtalálták: https://forum.kubuntu-fr.org/viewtopic.php?id=2038670

Van pedig. Letöltöttem a targizit innen:
https://sourceforge.net/projects/hplip/files/hplip/3.19.6/

Listáztam:

ls hplip-3.19.6/ppd/hpcups/ | grep 1132
hp-laserjet_professional_m1132_mfp.ppd.gz

A PPD maga (tartalma):
(a neve: hp-laserjet_professional_m1132_mfp.ppd)

*PPD-Adobe: "4.3"
*%%%% PPD file for HP LaserJet Professional m1132 MFP with CUPS.
*%%%% Created by the CUPS PPD Compiler CUPS v1.5.0.
*% (c) 2008 Copyright HP Development Company, LP
*FormatVersion: "4.3"
*FileVersion: "3.19.6"
*LanguageVersion: English
*LanguageEncoding: ISOLatin1
*PCFileName: "hp-laserjet_professional_m1132_mfp.ppd"
*Product: "(HP LaserJet Professional m1132 Multifunction Printer)"
*Product: "(HP LaserJet Professional m1132s Multifunction Printer)"
*Manufacturer: "HP"
*ModelName: "HP LaserJet Professional m1132 MFP"
*ShortNickName: "HP LJ Pro m1132 MFP hpijs"
*NickName: "HP LaserJet Professional m1132 MFP, hpcups 3.19.6, requires proprietary plugin"
*PSVersion: "(3010.000) 0"
*LanguageLevel: "3"
*ColorDevice: True
*DefaultColorSpace: RGB
*FileSystem: False
*Throughput: "1"
*LandscapeOrientation: Plus90
*TTRasterizer: Type42
*% Driver-defined attributes...
*RequiresPageRegion All: True
*hpPrinterLanguage: "ljzjstream"
*cupsIPPReason hplip.plugin-error/HP Device requires a proprietary binary Plug-in, run hp-plugin: ""
*cupsModelName: "HP LaserJet 1018"
*1284DeviceID: "MFG:Hewlett-Packard;MDL:hp laserjet professional m1132 mfp;DES:hp laserjet professional m1132 mfp;"
*cupsVersion: 1.5
*cupsModelNumber: 0
*cupsManualCopies: True
*cupsFilter: "application/vnd.cups-raster 0 hpcups"
*cupsLanguages: "en"
*OpenUI *PageSize/Media Size: PickOne
*OrderDependency: 10 AnySetup *PageSize
*DefaultPageSize: Letter
*PageSize A6/A6 105x148mm: "<</cupsInteger0 24/PageSize[298 420]/ImagingBBox null>>setpagedevice"
*PageSize A5/A5 148x210mm: "<</cupsInteger0 25/PageSize[420 595]/ImagingBBox null>>setpagedevice"
*PageSize Postcard/Postcard: "<</cupsInteger0 71/PageSize[283 420]/ImagingBBox null>>setpagedevice"
*PageSize DoublePostcard/Double Postcard: "<</cupsInteger0 72/PageSize[420 567]/ImagingBBox null>>setpagedevice"
*PageSize JB5/JB5 182x257mm: "<</cupsInteger0 96/PageSize[516.24 728.64]/ImagingBBox null>>setpagedevice"
*PageSize Executive/Executive 7.25x10.5in: "<</cupsInteger0 1/PageSize[522 756]/ImagingBBox null>>setpagedevice"
*PageSize 16k195x270/16k 195x270mm: "<</cupsInteger0 34/PageSize[553 765]/ImagingBBox null>>setpagedevice"
*PageSize 16k184x260/16k 184x260mm: "<</cupsInteger0 89/PageSize[522 737]/ImagingBBox null>>setpagedevice"
*PageSize 16k197x273/16k 197x273mm: "<</cupsInteger0 17/PageSize[558 774]/ImagingBBox null>>setpagedevice"
*PageSize Letter/Letter 8.5x11in: "<</cupsInteger0 2/PageSize[612 792]/ImagingBBox null>>setpagedevice"
*PageSize A4/A4 210x297mm: "<</cupsInteger0 9/PageSize[595.44 841.68]/ImagingBBox null>>setpagedevice"
*PageSize FLSA/American Foolscap 8.5x13in: "<</cupsInteger0 10/PageSize[612 936]/ImagingBBox null>>setpagedevice"
*PageSize Legal/Legal 8.5x14in: "<</cupsInteger0 3/PageSize[612 1008]/ImagingBBox null>>setpagedevice"
*PageSize EnvMonarch/Monarch Envelope 3.875x7.5in: "<</cupsInteger0 96/PageSize[279 540]/ImagingBBox null>>setpagedevice"
*PageSize EnvDL/DL Envelope 110x220mm: "<</cupsInteger0 27/PageSize[311.76 623.52]/ImagingBBox null>>setpagedevice"
*PageSize Env10/#10 Envelope 4.12x9.5in: "<</cupsInteger0 81/PageSize[297 684]/ImagingBBox null>>setpagedevice"
*PageSize EnvC5/C5 Envelope 162x229mm: "<</cupsInteger0 91/PageSize[459 649]/ImagingBBox null>>setpagedevice"
*PageSize EnvB5/B5 Envelope 176x250mm: "<</cupsInteger0 100/PageSize[499 709]/ImagingBBox null>>setpagedevice"
*CloseUI: *PageSize
*OpenUI *PageRegion/Media Size: PickOne
*OrderDependency: 10 AnySetup *PageRegion
*DefaultPageRegion: Letter
*PageRegion A6/A6 105x148mm: "<</cupsInteger0 24/PageSize[298 420]/ImagingBBox null>>setpagedevice"
*PageRegion A5/A5 148x210mm: "<</cupsInteger0 25/PageSize[420 595]/ImagingBBox null>>setpagedevice"
*PageRegion Postcard/Postcard: "<</cupsInteger0 71/PageSize[283 420]/ImagingBBox null>>setpagedevice"
*PageRegion DoublePostcard/Double Postcard: "<</cupsInteger0 72/PageSize[420 567]/ImagingBBox null>>setpagedevice"
*PageRegion JB5/JB5 182x257mm: "<</cupsInteger0 96/PageSize [516.24 728.64]/ImagingBBox null>>setpagedevice"
*PageRegion Executive/Executive 7.25x10.5in: "<</cupsInteger0 1/PageSize[522 756]/ImagingBBox null>>setpagedevice"
*PageRegion 16k195x270/16k 195x270mm: "<</cupsInteger0 34/PageSize[553 765]/ImagingBBox null>>setpagedevice"
*PageRegion 16k184x260/16k 184x260mm: "<</cupsInteger0 89/PageSize[522 737]/ImagingBBox null>>setpagedevice"
*PageRegion 16k197x273/16k 197x273mm: "<</cupsInteger0 17/PageSize[558 774]/ImagingBBox null>>setpagedevice"
*PageRegion Letter/Letter 8.5x11in: "<</cupsInteger0 2/PageSize[612 792]/ImagingBBox null>>setpagedevice"
*PageRegion A4/A4 210x297mm: "<</cupsInteger0 9/PageSize[595.44 841.68]/ImagingBBox null>>setpagedevice"
*PageRegion FLSA/American Foolscap 8.5x13in: "<</cupsInteger0 10/PageSize[612 936]/ImagingBBox null>>setpagedevice"
*PageRegion Legal/Legal 8.5x14in: "<</cupsInteger0 3/PageSize[612 1008]/ImagingBBox null>>setpagedevice"
*PageRegion EnvMonarch/Monarch Envelope 3.875x7.5in: "<</cupsInteger0 96/PageSize[279 540]/ImagingBBox null>>setpagedevice"
*PageRegion EnvDL/DL Envelope 110x220mm: "<</cupsInteger0 27/PageSize[311.76 623.52]/ImagingBBox null>>setpagedevice"
*PageRegion Env10/#10 Envelope 4.12x9.5in: "<</cupsInteger0 81/PageSize[297 684]/ImagingBBox null>>setpagedevice"
*PageRegion EnvC5/C5 Envelope 162x229mm: "<</cupsInteger0 91/PageSize[459 649]/ImagingBBox null>>setpagedevice"
*PageRegion EnvB5/B5 Envelope 176x250mm: "<</cupsInteger0 100/PageSize[499 709]/ImagingBBox null>>setpagedevice"
*CloseUI: *PageRegion
*DefaultImageableArea: Letter
*ImageableArea A6/A6 105x148mm: "12 12 286 408"
*ImageableArea A5/A5 148x210mm: "12 12 408 583"
*ImageableArea Postcard/Postcard: "12 12 271 408"
*ImageableArea DoublePostcard/Double Postcard: "12 12 408 555"
*ImageableArea JB5/JB5 182x257mm: "18 15.5 498.239990234375 713.140014648438"
*ImageableArea Executive/Executive 7.25x10.5in: "12 12 510 744"
*ImageableArea 16k195x270/16k 195x270mm: "18 15.5 535 749.5"
*ImageableArea 16k184x260/16k 184x260mm: "12 12 510 725"
*ImageableArea 16k197x273/16k 197x273mm: "12 12 546 762"
*ImageableArea Letter/Letter 8.5x11in: "12 12 600 780"
*ImageableArea A4/A4 210x297mm: "18 15.5 577.440002441406 826.179992675781"
*ImageableArea FLSA/American Foolscap 8.5x13in: "12 12 600 924"
*ImageableArea Legal/Legal 8.5x14in: "12 12 600 996"
*ImageableArea EnvMonarch/Monarch Envelope 3.875x7.5in: "18 15.5 261 524.5"
*ImageableArea EnvDL/DL Envelope 110x220mm: "18 15.5 293.760009765625 608.02001953125"
*ImageableArea Env10/#10 Envelope 4.12x9.5in: "12 12 285 672"
*ImageableArea EnvC5/C5 Envelope 162x229mm: "12 12 447 637"
*ImageableArea EnvB5/B5 Envelope 176x250mm: "12 12 487 697"
*DefaultPaperDimension: Letter
*PaperDimension A6/A6 105x148mm: "298 420"
*PaperDimension A5/A5 148x210mm: "420 595"
*PaperDimension Postcard/Postcard: "283 420"
*PaperDimension DoublePostcard/Double Postcard: "420 567"
*PaperDimension JB5/JB5 182x257mm: "516.239990234375 728.640014648438"
*PaperDimension Executive/Executive 7.25x10.5in: "522 756"
*PaperDimension 16k195x270/16k 195x270mm: "553 765"
*PaperDimension 16k184x260/16k 184x260mm: "522 737"
*PaperDimension 16k197x273/16k 197x273mm: "558 774"
*PaperDimension Letter/Letter 8.5x11in: "612 792"
*PaperDimension A4/A4 210x297mm: "595.440002441406 841.679992675781"
*PaperDimension FLSA/American Foolscap 8.5x13in: "612 936"
*PaperDimension Legal/Legal 8.5x14in: "612 1008"
*PaperDimension EnvMonarch/Monarch Envelope 3.875x7.5in: "279 540"
*PaperDimension EnvDL/DL Envelope 110x220mm: "311.760009765625 623.52001953125"
*PaperDimension Env10/#10 Envelope 4.12x9.5in: "297 684"
*PaperDimension EnvC5/C5 Envelope 162x229mm: "459 649"
*PaperDimension EnvB5/B5 Envelope 176x250mm: "499 709"
*MaxMediaWidth: "1224"
*MaxMediaHeight: "2592"
*HWMargins: 12 12 12 12
*CustomPageSize True: "pop pop pop <</PageSize[5 -2 roll]/ImagingBBox null>>setpagedevice"
*ParamCustomPageSize Width: 1 points 216 1224
*ParamCustomPageSize Height: 2 points 360 2592
*ParamCustomPageSize WidthOffset: 3 points 0 0
*ParamCustomPageSize HeightOffset: 4 points 0 0
*ParamCustomPageSize Orientation: 5 int 0 0
*OpenUI *InputSlot/Media Source: PickOne
*OrderDependency: 10 AnySetup *InputSlot
*DefaultInputSlot: Auto
*InputSlot Auto/Auto-Select: "<</MediaPosition 7>>setpagedevice"
*InputSlot Manual/Manual Feeder: "<</MediaPosition 2>>setpagedevice"
*CloseUI: *InputSlot
*OpenUI *ColorModel/Output Mode: PickOne
*OrderDependency: 10 AnySetup *ColorModel
*DefaultColorModel: Gray
*ColorModel Gray/Grayscale: "<</cupsColorSpace 3/cupsBitsPerColor 1/cupsRowCount 1/cupsRowStep 2>>setpagedevice"
*CloseUI: *ColorModel
*OpenUI *MediaType/Media Type: PickOne
*OrderDependency: 10 AnySetup *MediaType
*DefaultMediaType: Plain
*MediaType Plain/Plain Paper: "<</MediaType(Plain)/cupsMediaType 0>>setpagedevice"
*CloseUI: *MediaType
*OpenUI *OutputMode/Print Quality: PickOne
*OrderDependency: 10 AnySetup *OutputMode
*DefaultOutputMode: Normal
*OutputMode Normal/Normal: "<</OutputType(0)/HWResolution[600 600]>>setpagedevice"
*OutputMode Draft/Draft: "<</OutputType(-1)/HWResolution[600 600]>>setpagedevice"
*CloseUI: *OutputMode
*DefaultFont: Courier
*Font AvantGarde-Book: Standard "(1.05)" Standard ROM
*Font AvantGarde-BookOblique: Standard "(1.05)" Standard ROM
*Font AvantGarde-Demi: Standard "(1.05)" Standard ROM
*Font AvantGarde-DemiOblique: Standard "(1.05)" Standard ROM
*Font Bookman-Demi: Standard "(1.05)" Standard ROM
*Font Bookman-DemiItalic: Standard "(1.05)" Standard ROM
*Font Bookman-Light: Standard "(1.05)" Standard ROM
*Font Bookman-LightItalic: Standard "(1.05)" Standard ROM
*Font Courier: Standard "(1.05)" Standard ROM
*Font Courier-Bold: Standard "(1.05)" Standard ROM
*Font Courier-BoldOblique: Standard "(1.05)" Standard ROM
*Font Courier-Oblique: Standard "(1.05)" Standard ROM
*Font Helvetica: Standard "(1.05)" Standard ROM
*Font Helvetica-Bold: Standard "(1.05)" Standard ROM
*Font Helvetica-BoldOblique: Standard "(1.05)" Standard ROM
*Font Helvetica-Narrow: Standard "(1.05)" Standard ROM
*Font Helvetica-Narrow-Bold: Standard "(1.05)" Standard ROM
*Font Helvetica-Narrow-BoldOblique: Standard "(1.05)" Standard ROM
*Font Helvetica-Narrow-Oblique: Standard "(1.05)" Standard ROM
*Font Helvetica-Oblique: Standard "(1.05)" Standard ROM
*Font NewCenturySchlbk-Bold: Standard "(1.05)" Standard ROM
*Font NewCenturySchlbk-BoldItalic: Standard "(1.05)" Standard ROM
*Font NewCenturySchlbk-Italic: Standard "(1.05)" Standard ROM
*Font NewCenturySchlbk-Roman: Standard "(1.05)" Standard ROM
*Font Palatino-Bold: Standard "(1.05)" Standard ROM
*Font Palatino-BoldItalic: Standard "(1.05)" Standard ROM
*Font Palatino-Italic: Standard "(1.05)" Standard ROM
*Font Palatino-Roman: Standard "(1.05)" Standard ROM
*Font Symbol: Special "(001.005)" Special ROM
*Font Times-Bold: Standard "(1.05)" Standard ROM
*Font Times-BoldItalic: Standard "(1.05)" Standard ROM
*Font Times-Italic: Standard "(1.05)" Standard ROM
*Font Times-Roman: Standard "(1.05)" Standard ROM
*Font ZapfChancery-MediumItalic: Standard "(1.05)" Standard ROM
*Font ZapfDingbats: Special "(001.005)" Special ROM
*% End of hp-laserjet_professional_m1132_mfp.ppd, 11156 bytes.

Alakul .. https://www.youtube.com/watch?v=9gykcis6dUE :-)

Értékelés: 

0
Még nincs értékelve

hplip-3.19.6 + plugin

#45

Elviekben működik a nyomtató, minden beállítási opciónál (https://linuxmint.hu/comment/30761#comment-30761 -en belül a nyomtatóbeállítás rész 1-3. körénél biztos) ready to print a státusza, illetve, ahogy a témafelvetéskor is írtam, az Xsane tudott beolvasni  és a fénymásolással sincs gond (számítógép nélkül), most ugyan nem csekkoltam.

Arra gondoltam, hogy a 3.19.6 a legfrissebb, így up to date verzió.

Abban a hitben voltam, hogy a restart a számítógép/telepítési folyamat újraindítását jelenti, így újra kezdhettem volna az egészet, ezek szerint rossz volt a gondolatmenetem.

Do you want to setup printer in GUI mode? (u=GUI mode*, i=Interactive mode) : u

A GUI móddal kapcsolatban e miatt merültek fel bennem kételyek (https://linuxmint.hu/comment/30761#comment-30761):
a
RE-STARTING HP_SYSTRAY
----------------------
rész végénél:

/usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:127: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)

A képbeillesztéseken megpróbálok csiszolni.

Teszek még egy kört a telepítéssel egy kicsit később, ha még mindig muszáj lesz, de előbb a legutolsó hozzászólásodra küldött válaszom értékelését megvárom, hátha az ott található infók közt rejlik a hiba oka.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

hplip-3.19.6 + plugin

#48 Abban a hitben voltam, hogy a restart a számítógép/telepítési folyamat újraindítását jelenti, így újra kezdhettem volna az egészet, ezek szerint rossz volt a gondolatmenetem.

Így van. A rendszer indul újra. A Linux Mint.
Azt is leírtam, hogy a helyes módszer a telepítésre, ha az „r”-t választod.
A számítógép nem szokott újraindulni. A telepítési folyamat sem indul újra ;-).

-----

Mit szeretnél mondani azzal, hogy elviekben működik a nyomtató?

Elviekben működik a nyomtató, minden beállítási opciónál (https://linuxmint.hu/comment/30761#comment-30761 -en belül a nyomtatóbeállítás rész 1-3. körénél biztos) ready to print a státusza, illetve, ahogy a témafelvetéskor is írtam, az Xsane tudott beolvasni  és a fénymásolással sincs gond (számítógép nélkül), most ugyan nem csekkoltam.

A nyomtatónak két „állása van”: működik és nem működik. Helyetted nem tudom eldönteni, mi a helyzet.

Tudok segíteni még valamiben ..., mondjuk, ami kézzel fogható, azaz tárgyilagosan megfogalmazott kérdés lenne? :-)

-----

Nem ismerem a HPLIP lelkivilágát, így azt mondom: nem az számít, hogy mit jelez a hp-check alkalmazás, hanem az, hogy nyomtat a nyomtató. Másrészt már azt sem tudom, mit csináltál és hogyan. ... mindjárt megnézem a képeket.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Setup hplip-3.19.6 Norbimódra

#44 Sorba veszem.

1. körben HPLIP:

https://ibb.co/Lr9750J
https://ibb.co/SmThhGx
https://ibb.co/fqZ21RG
https://ibb.co/tmkTmg6

Megvan a nyomtató. semmi gond.
Miért nem a HPLIP a kiválasztott?

-----

2. körben USB:

https://ibb.co/V38CSN7
https://ibb.co/8cQ5zJx
https://ibb.co/vLPmpNf

Hibakeresés ... . Az nem volt. Nem tudom kitalálni sajnos.

-----

3. körben URI megadásával:

https://ibb.co/1s8smRL
https://ibb.co/CnQV9mZ
https://ibb.co/2PFnkDp
https://ibb.co/0BftZLD
https://ibb.co/H283dcg

Tökéletes. Az „Alkalmaz” rádiógomb (következő kép) nem maradhat ki. Érdemes helyet is megadni szerintem.

-----

4. körben CUPS:

https://ibb.co/9VHJVNC
https://ibb.co/kg962zh
https://ibb.co/LZCrj9H
https://ibb.co/FH4bPQc
https://ibb.co/Dw13Vpw
https://ibb.co/JjJrNFz
https://ibb.co/1JsMpH3
https://ibb.co/XkTct5s
https://ibb.co/k9R5TD2

Sajnos, következetesen és egyáltalán nem vagy kíváncsi, hogy mi lehet a hiba, azaz nem nyomod meg a „Hibakeresés” rádiógombot. De mindez a Windows alatt is hasonló művelet. :-)
Nem tudom kitalálni, mi a hiba. Meg kéne nyomnod azokat a fránya gombokat.

-----

Végezetül végigmentem a Printing troubleshooter folyamatán (korábban is megpróbáltam így kideríteni a hiba okát, eredménytelenül, most sem történt másként):

https://ibb.co/cxj8552
https://ibb.co/W0CCNm8
https://ibb.co/zZ100Q6
https://ibb.co/C16FwY1
https://ibb.co/3SBn0JY

A CUPS szerverhez nem sikerült csatlakozni. Mivel grafikus és webes felületen is próbáltad beállítani, történhetett valami kavarodás. Próbáld a grafikus felületet, és hagyd békén a webeset.

És mondjuk, indítsd el a CUPS szolgáltatást:

sudo systemctl stop cups.service
sudo systemctl start cups.service

Kimenetek?

-----

A diagnózis nézegetése helyett az előbbi lépés (CUPS indítása) kéne.
https://paste.ubuntu.com/p/nbqcH26z8C/

-----

Ennyi szopókázás után úgy gondoltam, biztos, ami biztos, hátha valami félrecsúszott és kiadtam a hp-plugin parancsot: https://paste.ubuntu.com/p/G9szKMzdM3/
Itt már erroroz, ahogy nálad is (ez mondjuk marha érdekes, mert a telepítés legelején meg patent volt ugyanez a rész: https://paste.ubuntu.com/p/cpThKmwjz7/):
Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.

Ezután megkapja a sudo apt-get install apparmor-utils, majd a sudo aa-disable /usr/share/hplip/plugin.py parancsokat, ahogy nálad történt: https://paste.ubuntu.com/p/VWKVKvTQ8n/

Majd jön az újabb hp-plugin: https://paste.ubuntu.com/p/y45GkZ5wtT/

Most megint elégedett mindennel (meglehetősen szeszélyesnek találom, egyszer jó, majd nem, aztán megint OK).

Nem tudom, milyen szopókázásra gondoltál. Leírtam, mi a megoldás. Először „a megoldás” nélkül próbáltad, aztán valahogy eszedbe jutott, hogy írtam valamit (külön kösz :-D) és megcsináltad. De csak úgy lehet megoldani, ahogy írtam ... . Nem az alkalmazás hóbortos ... hanem TE, azaz a „gondolatmeteid” :-). Az van, hogy ami eszedbe jut, azt megcsinálod, és jó sokára (vagy sohanapján) tart elolvasni és értelmezni, amiket írok. Pedig egyszerre csak egy dolgot írok, és azt felfogni szerintem, nem nehéz.

Csak megjegyzem, ez a téma is csendben „elsikkadt”, homályba vész:

Ez a sor különösen aggaszt, bár mindent szupernek talál itt is:
warning: Failed to read /etc/cups/ppd/Hewlett-Packard-HP-LaserJet-Professional-M1132-MFP.ppd ppd file

Itt írtam erről: https://linuxmint.hu/comment/30764#comment-30764

-----

A variálásaidat sem értem. Hogy telepíted a HPLIP-et, aztán a Plugint. De úgy tűnik, mindkettő telepítve végül. Egyszer kell telepíteni a HPLIP alkalmazást a Pluginnel (és nem többször). Azt is írtam, lehet többször is ..., hát, amennyi időd van, te tudod. Minderről itt írtam: https://linuxmint.hu/comment/30762#comment-30762

Értékelés: 

0
Még nincs értékelve

Oldalak